<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>com.terradue</groupId>
    <artifactId>GEOWetlands-${service}</artifactId>
    <name>GEOWetlands-${service}</name>
    <description>GEOWetlands-${service}</description>
    <version>0.1</version>
    <scm>
        <connection>scm:git:git@gitlab.com:ec-nextgeoss/fsu/applications/ewf-fsu-s1-surface-water-dynamics.git</connection>
        <developerConnection>scm:git:git@gitlab.com:ec-nextgeoss/fsu/applications/ewf-fsu-s1-surface-water-dynamics.git</developerConnection>
        <url>https://gitlab.com/ec-nextgeoss/fsu/applications/ewf-fsu-s1-surface-water-dynamics</url>
        <tag>HEAD</tag>
    </scm>
    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.build.resourceEncoding>UTF-8</project.build.resourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
        <service>processor</service>
        <language>python</language>
    </properties>
    <repositories>
        <repository>
            <id>repository.terradue.com</id>
            <name>repository.terradue.com-releases</name>
            <url>http://repository.terradue.com/artifactory/libs-release-public</url>
            <releases>
                <enabled>true</enabled>
                <checksumPolicy>warn</checksumPolicy>
            </releases>
        </repository>
    </repositories>
    <pluginRepositories>
        <pluginRepository>
            <snapshots/>
            <id>repository.terradue.com</id>
            <name>repository.terradue.com-releases</name>
            <url>http://repository.terradue.com/artifactory/libs-release-public</url>
        </pluginRepository>
    </pluginRepositories>
    <profiles>
        <!-- Python profile -->
        <profile>
            <id>python</id>
            <properties>
                <language>python</language>
            </properties>
            <build>
                <plugins>
                    <plugin>
                        <groupId>org.apache.maven.plugins</groupId>
                        <artifactId>maven-compiler-plugin</artifactId>
                        <version>3.6.2</version>
                    </plugin>
                    <plugin>
                        <groupId>org.codehaus.mojo</groupId>
                        <artifactId>exec-maven-plugin</artifactId>
                        <version>1.3.1</version>
                        <executions>
                            <execution>
                                <id>do package list</id>
                                <phase>prepare-package</phase>
                                <goals>
                                    <goal>exec</goal>
                                </goals>
                                <configuration>
                                    <executable>conda</executable>
                                    <arguments>
                                        <argument>list</argument>
                                        <argument>-e</argument>
                                    </arguments>
                                    <outputFile>${project.build.directory}/packages.list</outputFile>
                                </configuration>
                            </execution>
                        </executions>
                    </plugin>
                    <plugin>
                        <groupId>org.codehaus.mojo</groupId>
                        <artifactId>rpm-maven-plugin</artifactId>
                        <version>2.1-alpha-4</version>
                        <extensions>true</extensions>
                        <configuration>
                            <copyright>${project.inceptionYear}, John Truckenbrodt, GPL</copyright>
                            <distribution>John Truckenbrodt ${project.inceptionYear}</distribution>
                            <group>air</group>
                            <packager>John Truckenbrodt</packager>
                            <summary>GEOWetlands ${service}</summary>
                            <description>GEOWetlands ${service}</description>
                            <name>${project.artifactId}</name>
                            <defaultDirmode>775</defaultDirmode>
                            <defaultFilemode>664</defaultFilemode>
                            <defaultUsername>root</defaultUsername>
                            <defaultGroupname>ciop</defaultGroupname>
                            <prefix>/application</prefix>
                            <autoRequires>false</autoRequires>
                            <executions>
                                <execution>
                                    <id>generate-rpm</id>
                                    <goals>
                                        <goal>rpm</goal>
                                    </goals>
                                </execution>
                            </executions>
                            <mappings>
                                <mapping>
                                    <directory>/application</directory>
                                    <sources>
                                        <source>
                                            <location>${project.build.directory}/resources</location>
                                        </source>
                                    </sources>
                                </mapping>
                                <mapping>
                                    <directory>/application</directory>
                                    <sources>
                                        <source>
                                            <location>${project.build.directory}/resources</location>
                                            <includes>
                                                <include>**/run*</include>
                                            </includes>
                                        </source>
                                    </sources>
                                    <filemode>775</filemode>
                                </mapping>
                                <mapping>
                                    <directory>/application/dependencies</directory>
                                    <sources>
                                        <source>
                                            <location>${project.build.directory}/packages.list</location>
                                        </source>
                                    </sources>
                                </mapping>
                            </mappings>
                            <postinstallScriptlet>
                                <script>sudo conda install -y --file /application/dependencies/python/packages.list</script>
                            </postinstallScriptlet>
                            <provides>
                                <provide>${project.artifactId}</provide>
                            </provides>
                            <requires>
                                <!--sudo yum install requirements-->
                                <require>miniconda</require>
                                <require>snap6</require>
                            </requires>
                        </configuration>
                    </plugin>
                </plugins>
            </build>
        </profile>
    </profiles>
    <build>
        <resources>
            <resource>
                <directory>${basedir}/src/main/app-resources</directory>
                <filtering>true</filtering>
                <targetPath>${project.build.directory}/resources/</targetPath>
            </resource>
<!--            <resource>-->
<!--                <directory>${basedir}/src/main/app-resources</directory>-->
<!--                <filtering>true</filtering>-->
<!--                <excludes>-->
<!--                    <exclude>**/run*</exclude>-->
<!--                </excludes>-->
<!--                <targetPath>${project.build.directory}/resources/</targetPath>-->
<!--            </resource>-->
<!--            <resource>-->
<!--                <directory>${basedir}/src/main/app-resources/${service}</directory>-->
<!--                <filtering>true</filtering>-->
<!--                <targetPath>${project.build.directory}/resources/</targetPath>-->
<!--            </resource>-->
        </resources>
        <plugins>
            <plugin>
                <artifactId>maven-clean-plugin</artifactId>
                <version>2.5</version>
                <configuration>
                    <filesets>
                        <fileset>
                            <directory>/application</directory>
                            <includes>
                                <include>**/*</include>
                            </includes>
                            <excludes>
                                <exclude>**/share/**</exclude>
                            </excludes>
                            <followSymlinks>false</followSymlinks>
                        </fileset>
                    </filesets>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>build-helper-maven-plugin</artifactId>
                <version>1.8</version>
                <executions>
                    <execution>
                        <id>parse-version</id>
                        <goals>
                            <goal>parse-version</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <artifactId>maven-resources-plugin</artifactId>
                <version>2.6</version>
                <executions>
                    <execution>
                        <id>copy-app-resources</id>
                        <phase>install</phase>
                        <goals>
                            <goal>copy-resources</goal>
                        </goals>
                        <configuration>
                            <outputDirectory>/application</outputDirectory>
                            <resources>
                                <resource>
                                    <directory>${project.build.directory}/resources/</directory>
                                </resource>
                            </resources>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-antrun-plugin</artifactId>
                <version>1.6</version>
                <executions>
                    <execution>
                        <id>change perm</id>
                        <phase>install</phase>
                        <configuration>
                            <target>
                                <chmod dir="/application" includes="**/run*" perm="755"/>
                                <chmod dir="/application" includes="application.xml" perm="664"/>
                            </target>
                        </configuration>
                        <goals>
                            <goal>run</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-install-plugin</artifactId>
                <version>2.3.1</version>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-release-plugin</artifactId>
                <version>2.5</version>
                <dependencies>
                    <dependency>
                        <groupId>org.apache.maven.scm</groupId>
                        <artifactId>maven-scm-provider-gitexe</artifactId>
                        <version>1.9</version>
                    </dependency>
                </dependencies>
            </plugin>
        </plugins>
    </build>
</project>
